Bug 630273 - (ghc-authenticate) Review Request: ghc-authenticate - Authentication methods for Haskell web applications
Review Request: ghc-authenticate - Authentication methods for Haskell web app...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
notready
:
Depends On: ghc-tagsoup ghc-xml
Blocks: yesod yesod-platform
  Show dependency treegraph
 
Reported: 2010-09-04 10:53 EDT by Ben Boeckel
Modified: 2013-06-24 06:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:26:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 10:53:48 EDT
Spec URL: http://benboeckel.net/packaging/ghc-authenticate/ghc-authenticate.spec
SRPM URL: http://benboeckel.net/packaging/ghc-authenticate/ghc-authenticate-0.6.3.1-1.fc14.src.rpm
Description:
Focus is on remote authentication methods, such as OpenID,
rpxnow and Google.

% lintmock fedora-14-x86_64-bb                                                   -
ghc-authenticate.src: W: spelling-error %description -l en_US rpxnow -> renown, snowdrop
ghc-authenticate.src: W: strange-permission ghc-authenticate.spec 0640L
ghc-authenticate.src: W: strange-permission authenticate-0.6.3.1.tar.gz 0640L
ghc-authenticate.x86_64: W: spelling-error %description -l en_US rpxnow -> renown, snowdrop
ghc-authenticate-devel.x86_64: W: spelling-error %description -l en_US rpxnow -> renown, snowdrop
ghc-authenticate-prof.x86_64: E: devel-dependency ghc-authenticate-devel
ghc-authenticate-prof.x86_64: W: spelling-error %description -l en_US rpxnow -> renown, snowdrop
ghc-authenticate-prof.x86_64: W: no-documentation
ghc-authenticate-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/authenticate-0.6.3.1/libHSauthenticate-0.6.3.1_p.a
4 packages and 0 specfiles checked; 1 errors, 8 warnings.
Comment 1 Ben Boeckel 2010-10-30 18:14:02 EDT
Spec URL: http://benboeckel.net/packaging/ghc-authenticate/ghc-authenticate.spec
SRPM URL: http://benboeckel.net/packaging/ghc-authenticate/ghc-authenticate-0.7.2.1-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-authenticate.src: W: spelling-error %description -l en_US rpxnow -> renown, snowdrop
ghc-authenticate.src: W: strange-permission ghc-authenticate.spec 0640L
ghc-authenticate.src: W: strange-permission authenticate-0.7.2.1.tar.gz 0640L
ghc-authenticate.x86_64: W: spelling-error %description -l en_US rpxnow -> renown, snowdrop
ghc-authenticate-devel.x86_64: W: spelling-error %description -l en_US rpxnow -> renown, snowdrop
ghc-authenticate-prof.x86_64: E: devel-dependency ghc-authenticate-devel
ghc-authenticate-prof.x86_64: W: spelling-error %description -l en_US rpxnow -> renown, snowdrop
ghc-authenticate-prof.x86_64: W: no-documentation
ghc-authenticate-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/authenticate-0.7.2.1/libHSauthenticate-0.7.2.1_p.a
4 packages and 0 specfiles checked; 1 errors, 8 warnings.
Comment 2 Jens Petersen 2010-11-01 20:42:58 EDT
Lowering priority since yesod no longer needs this.
Comment 3 Jens Petersen 2011-01-28 06:07:28 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 4 Jens Petersen 2011-06-15 01:40:01 EDT
This is needed by yesod-auth which has not yet been submitted.
Making it block yesod for now.
Comment 5 Jens Petersen 2011-06-21 21:18:28 EDT
authenticate >= 0.9 no longer depends on data-object-json.
Comment 6 Jens Petersen 2013-06-24 06:26:09 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.